Package org.codehaus.groovy.runtime.metaclass

# Class MissingMethodExceptionNoStack

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingMethodException
org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MissingMethodExecutionFailed`

public class MissingMethodExceptionNoStack extends MissingMethodException
A `MissingMethodException` that does not populate the stack trace. This exception is optimized for performance when the stack trace is not needed, as stack trace generation can be expensive.

This exception is for internal use only.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)`
  Constructs a new MissingMethodExceptionNoStack.
  `MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)`
  Constructs a new MissingMethodExceptionNoStack.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `fillInStackTrace()`
  Overrides the default stack trace filling to optimize performance.

  ### Methods inherited from class groovy.lang.MissingMethodException

  `getArguments, getMessage, getMethod, getType, isStatic`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments)
    Constructs a new MissingMethodExceptionNoStack.
    Parameters:
      `method` - the name of the missing method
      `type` - the class where the method was not found
      `arguments` - the arguments that were passed to the missing method call

  - ### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(String method, Class type, Object[] arguments, boolean isStatic)
    Constructs a new MissingMethodExceptionNoStack.
    Parameters:
      `method` - the name of the missing method
      `type` - the class where the method was not found
      `arguments` - the arguments that were passed to the missing method call
      `isStatic` - true if the missing method was a static method, false otherwise

- ## Method Details

  - ### fillInStackTrace

    public Throwable fillInStackTrace()
    Overrides the default stack trace filling to optimize performance. Returns this exception without populating the stack trace.
    Overrides:
      `fillInStackTrace` in class `Throwable`
    Returns:
      this exception unchanged